package com.jz.sms.chuanglan.dto;

import com.alibaba.fastjson.JSONObject;
import com.jz.sms.config.ResponseCode;

import java.io.Serializable;

public class CLBizResponse implements Serializable {


    private String code;

    private String msg;

    private String id;

    private JSONObject data;

    public CLBizResponse() {

    }

    public CLBizResponse(ResponseCode responseCode) {
        this.code = responseCode.getCode();
        this.msg = responseCode.getMsg();
    }
    public CLBizResponse(ResponseCode responseCode,JSONObject data) {
        this.code = responseCode.getCode();
        this.msg = responseCode.getMsg();
        this.data = data;
    }

    public CLBizResponse(ResponseCode responseCode, String id) {
        this.code = responseCode.getCode();
        this.msg = responseCode.getMsg();
        this.id = id;

    }
    public CLBizResponse(ResponseCode responseCode, String msg, int nullInfo) {
        this.code = responseCode.getCode();
        this.msg = responseCode.getMsg()+msg;

    }

    public CLBizResponse(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public CLBizResponse(String code, String msg, String id) {
        this.code = code;
        this.msg = msg;
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {

        this.id = id;
    }

    public JSONObject getData() {
        return data;
    }

    public void setData(JSONObject data) {
        this.data = data;
    }
}
